<div class="background text-center">
    <form
      class="form-signin animated fadeIn"
      autocomplete="on"
      [formGroup]="registerForm"
      (ngSubmit)="register()"
    >
      <h1 style="color: rgb(0, 136, 255);">TuCredito - Desde 2022</h1>
      <h1 class="h3 mb-3 font-weight-normal">Registrarse</h1>
      <label class="sr-only" for="inputEmail">correo</label>
      <input
        type="email"
        class="form-control mb-2"
        id="inputEmail"
        placeholder="Correo"
        formControlName="email"
        [class.is-invalid]="emailValidate"
      />
      <label class="sr-only" for="inputPassword">contraseña</label>
      <input
        type="password"
        class="form-control mb-3"
        id="inputPassword"
        placeholder="Contraseña"
        formControlName="password"
        [class.is-invalid]="passwordValidate"

      />
      <label class="sr-only" for="inputPassword2">Confirmar Contraseña</label>
      <input
        type="password"
        class="form-control mb-3"
        id="inputPassword2"
        placeholder="Confirmar contraseña"
        formControlName="password2"
        [class.is-invalid]="password2Validate"
      />
      <button type="submit" class="btn btn-lg btn-primary btn-block mb-2" [disabled]="password2Validate">
        Registro
      </button>
      <a [routerLink]="['/login']">Tienes una cuenta activa?</a>
      <p class="mt-4 mb-3 text-muted">"Si lo quieres lo tienes TuCredito"</p>
    </form>
  </div>
